# Lucky Lucky

{% hint style="success" %}
[Lucky Lucky Prize History](https://www.butterswap.me/board/lucky_history)
{% endhint %}

Each day, there is a special round of Lucky Lucky, in which we give one lucky participating board member a special prize ($$1%$$ of all reward emissions per day, which is 138,240 BUTTERs based on current emission rate).

You can stake any number of BOARD tokens to in the Lucky Lucky, pool and your BOARD tokens will be returned in full amount if you leave Lucky Lucky. If you keep the staked BOARD tokens in Lucky Lucky pools without unstaking, you will automatically participate each round of Lucky Lucky.

Winning probability, what we name it ***power***, is determined by both the number of staked BOARD tokens and the staking timing. If you have not staked any BOARD tokens before the current round of Lucky Lucky starts, the initial ***power*** is set to 0. If you have already staked some BOARD tokens before the current round of Lucky Lucky starts, the initial ***power*** is given as follows:

```
power = board_current * (end_block - start_block)
```

***board\_current*** is the current number of BOARD tokens you have already staked, ***end\_block*** is the predicted end block number of this round of Lucky Lucky, and ***start\_block*** is the start block number.

During the day, you can stake and unstake freely any mount of BOARD tokens to Lucky Lucky event.

Each time you stake BOARD tokens to Lucky Lucky event, the ***power*** is updated as follows:

```
power = power + board_num * (end_block - current_block)
```

***board\_num*** is the number of BOARD tokens you stake this time, ***end\_block*** is the predicted end block number of this round of Lucky Lucky, and ***current\_block*** is the current block number.

Each time you unstake BOARD tokens from Lucky Lucky event, the ***power*** is updated as follows:

```
power = power * (board_total - board_num) / board_total 
```

***board\_total*** is the number of staked BOARD tokens before this unstaking, and ***board\_num*** is the number of BOARD tokens to be unstaked.

By the end of day, the smart contract will calculate a ***power*** value for each participants. And a weighted random selection based on the ***power*** value will be used to select the winner for the Lucky Lucky event.

Everything is calculated inside smart contracts on blockchain, and we believe it is a fair and fun event to participate.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.butterswap.me/products/board/lucky-lucky.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
